org.eclipse.net4j.tcp.ssl

## Class SSLUtil

- java.lang.Object
- - org.eclipse.net4j.tcp.ssl.SSLUtil

-     public class SSLUtil
      extends java.lang.Object

  A utility class with various static factory and convenience methods for SSL transport.
  Since:
    4.0
  Author:
    Teerawat Chaiyakijpichet (No Magic Asia Ltd.), Caspar De Groot (No Magic Asia Ltd.)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSLUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.net.ssl.SSLEngine` | `createSSLEngine(boolean client, java.lang.String host, int port)`
    `static ITCPAcceptor` | `getAcceptor(IManagedContainer container, java.lang.String description)`
    `static ITCPConnector` | `getConnector(IManagedContainer container, java.lang.String description)`
    `static int` | `getHandShakeTimeOut()`
    `static int` | `getHandShakeWaitTime()`
    `static void` | `prepareContainer(IManagedContainer container)`
    `static void` | `setDefaultSSLConfiguration(java.lang.String keyPath, java.lang.String trustPath, java.lang.String passPhrase)`
    `static void` | `setDefaultSSLConfiguration(java.lang.String keyPath, java.lang.String trustPath, java.lang.String passPhrase, int handShakeTimeOut, int handShakeWaitTime)`
    `static void` | `setSSLConfigurationFile(java.lang.String file)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSLUtil

          public SSLUtil()

  - ### Method Detail

    - #### setDefaultSSLConfiguration

          public static void setDefaultSSLConfiguration(java.lang.String keyPath,
                                                        java.lang.String trustPath,
                                                        java.lang.String passPhrase)

    - #### setDefaultSSLConfiguration

          public static void setDefaultSSLConfiguration(java.lang.String keyPath,
                                                        java.lang.String trustPath,
                                                        java.lang.String passPhrase,
                                                        int handShakeTimeOut,
                                                        int handShakeWaitTime)

    - #### setSSLConfigurationFile

          public static void setSSLConfigurationFile(java.lang.String file)

    - #### prepareContainer

          public static void prepareContainer(IManagedContainer container)

    - #### getAcceptor

          public static ITCPAcceptor getAcceptor(IManagedContainer container,
                                                 java.lang.String description)

    - #### getConnector

          public static ITCPConnector getConnector(IManagedContainer container,
                                                   java.lang.String description)

    - #### createSSLEngine

          public static javax.net.ssl.SSLEngine createSSLEngine(boolean client,
                                                                java.lang.String host,
                                                                int port)
                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getHandShakeTimeOut

          public static int getHandShakeTimeOut()

    - #### getHandShakeWaitTime

          public static int getHandShakeWaitTime()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html